org.springframework.data.repository.init

## Class RepositoriesPopulatedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.repository.init.RepositoriesPopulatedEvent

All Implemented Interfaces:
  Serializable

    public class RepositoriesPopulatedEvent
    extends ApplicationEvent

`ApplicationEvent` being thrown after a `RepositoryPopulator` has finished populating the `Repositories` available in the `ApplicationContext`.

Author:
  Oliver Gierke
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`RepositoriesPopulatedEvent(RepositoryPopulator populator, Repositories repositories)` Creates a new `RepositoriesPopulatedEvent` using the given `RepositoryPopulator` and `Repositories`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Repositories` `getRepositories()` Returns the `Repositories` that were populated.
`RepositoryPopulator` `getSource()`
`int` `hashCode()`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RepositoriesPopulatedEvent

    public RepositoriesPopulatedEvent(RepositoryPopulator populator,
                                      Repositories repositories)

Creates a new `RepositoriesPopulatedEvent` using the given `RepositoryPopulator` and `Repositories`.

Parameters:
  `populator` - the `RepositoryPopulator` that threw the event, must not be null.
  `repositories` - the `Repositories` that were populated, must not be null.

### Method Detail

#### getSource

    public RepositoryPopulator getSource()

Overrides:
  `getSource` in class `EventObject`

#### getRepositories

    public Repositories getRepositories()

Returns the `Repositories` that were populated.

Returns:
  the repositories will never be null.

#### equals

    public boolean equals(@Nullable
                          Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`